Subject: Re: [EXT] Re: [PATCH net-next] net/hanic: Add the hanic network interface for high availability links

From: Andrew Lunn <[email-masked]>
Date: Wed, 23 Nov 2022 16:12:10 +0100

> I guess for the same reason other soft netdevice driver are in the
> kernel. You can do bridge, bond, etc in a silimilar way you described
> here...

Performance of tun/tap is also not great.

Doing this in the kernel does seem correct. But we need one
implementation which can be expanded over time to cover everything in
the standard. From what has been said so far, it seems like this
implementation focuses on leaf nodes, because that is what the author
of the code is interested in. But is the design generic enough it can
be expanded to cover everything else? I'm not saying it actually needs
to implement it now, we just need to have a vision of how it can be
extended to implement the rest. What we don't want is one way for leaf
nodes, and a completely different code base for other nodes.

       Andrew